ParseException (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.ParseException class
Date: 2021-05-10

net.sourceforge.jnlp

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.sourceforge.jnlp.ParseException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    RequiredElementException

      public class ParseException
      extends java.lang.Exception

  Thrown to indicate that an error has occurred while parsing a JNLP file.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseException(java.lang.String message)` Create a parse exception with the specified message.
    `ParseException(java.lang.String message, java.lang.Throwable cause)` Create a parse exception with the specified message and cause.
    `ParseException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseException

          public ParseException(java.lang.String message)

      Create a parse exception with the specified message.
      Parameters:
        `message` - to be shown in exception

    - #### ParseException

          public ParseException(java.lang.String message,
                                java.lang.Throwable cause)

      Create a parse exception with the specified message and cause.
      Parameters:
        `message` - to be used by exception
        `cause` - cause of exception

    - #### ParseException

          public ParseException(java.lang.Throwable cause)

Submit a bug or feature